Loading...
Searching...
No Matches
BALL::Peptides Namespace Reference

## Classes

class | AminoAcidDescriptor
class | PeptideBuilder
class | NameConverter
| This class provides conversion of atom names between naming schemata. More...

## Typedefs

Type definitions
typedef std::list< String > | ThreeLetterAASequence
| An amino acid sequence in three-letter code.
typedef String | OneLetterAASequence
| An amino acid sequence in one-letter code.

## Functions

Amino acid sequence conversion
BALL_EXPORT char | OneLetterCode (const String &aa)
BALL_EXPORT String | ThreeLetterCode (char aa)
BALL_EXPORT bool | IsOneLetterCode (char aa)
BALL_EXPORT bool | IsThreeLetterCode (const String &aa)
BALL_EXPORT OneLetterAASequence | ThreeLetterToOneLetter (const ThreeLetterAASequence &sequence)
BALL_EXPORT ThreeLetterAASequence | OneLetterToThreeLetter (const OneLetterAASequence &sequence)
BALL_EXPORT OneLetterAASequence | GetSequence (const Protein &protein)
BALL_EXPORT OneLetterAASequence | GetSequence (const Chain &chain)
BALL_EXPORT OneLetterAASequence | GetSequence (ResidueConstIterator it)

## Typedef Documentation

## OneLetterAASequence

typedef String BALL::Peptides::OneLetterAASequence

An amino acid sequence in one-letter code.

Definition at line 38 of file peptides.h.

## ThreeLetterAASequence

typedef std::list<String> BALL::Peptides::ThreeLetterAASequence

An amino acid sequence in three-letter code.

Definition at line 35 of file peptides.h.

## Function Documentation

## GetSequence() [1/3]

BALL_EXPORT OneLetterAASequence BALL::Peptides::GetSequence | ( | const Chain & | chain | ) |

Get amino acid sequence from a chain. This method iterates over all residues of the chain, calls OneLetterCode for each of the residue names, and returns the concatenation of all results.

## GetSequence() [2/3]

BALL_EXPORT OneLetterAASequence BALL::Peptides::GetSequence | ( | const Protein & | protein | ) |

Get amino acid sequence from an protein. This method iterates over all residues of the protein, calls OneLetterCode for each of the residue names, and returns the concatenation of all results.

## GetSequence() [3/3]

BALL_EXPORT OneLetterAASequence BALL::Peptides::GetSequence | ( | ResidueConstIterator | it | ) |

Get amino acid sequence from an iterator. This method iterates over all residues starting with it, calls OneLetterCode for each of the residue names, and returns the concatenation of all results.

## IsOneLetterCode()

BALL_EXPORT bool BALL::Peptides::IsOneLetterCode | ( | char | aa | ) |

Determine whether the given character is a valid amino acid abbreviation.

Parameters

  aa | amino acid abbreviation in question

Returns
  bool - true if aa is a valid amino acid abbreviation, false otherwise

## IsThreeLetterCode()

BALL_EXPORT bool BALL::Peptides::IsThreeLetterCode | ( | const String & | aa | ) |

Determine whether the given string is a valid amino acid three-letter code.

Parameters

  aa | amino acid string in question

Returns
  bool - true if aa is a valid amino acid three-letter code, false otherwise

## OneLetterCode()

BALL_EXPORT char BALL::Peptides::OneLetterCode | ( | const String & | aa | ) |

Convert a three-letter amino acid name to the one-letter abbreviation. If the string given is not the three-letter code of one of the twenty amino acids, '?' is returned. This method is not case sensitive.

## OneLetterToThreeLetter()

BALL_EXPORT ThreeLetterAASequence BALL::Peptides::OneLetterToThreeLetter | ( | const OneLetterAASequence & | sequence | ) |

Convert an amino acid sequence from one-letter code to three-letter code. Call ThreeLetterCode for each of the characters in the string.

## ThreeLetterCode()

BALL_EXPORT String BALL::Peptides::ThreeLetterCode | ( | char | aa | ) |

Convert a one-letter amino acid abbreviation to its three-letter code. If the character given is not the code for one of the twenty amino acids, 'UNK' is returned. This method is not case sensitive. The strings returned are all upper cases.

## ThreeLetterToOneLetter()

BALL_EXPORT OneLetterAASequence BALL::Peptides::ThreeLetterToOneLetter | ( | const ThreeLetterAASequence & | sequence | ) |

Convert an amino acid sequence from three-letter code to one-letter code. Call OneLetterCode for each of the amino acids in the sequence.